﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using OSGeo.MapGuide;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string webLayout = @"Library://Samples/Sheboygan/FlexibleLayouts/SimpleFusion.ApplicationDefinition";
        string defaultUser = "Administrator";
        string defaultPassword = "admin";
        try
        {
            UtilityClass util = new UtilityClass();
            util.InitializeWebTier(Request);

            MgUserInformation userInfo = new MgUserInformation(defaultUser, defaultPassword);
            MgSite site = new MgSite();
            site.Open(userInfo);
            string sessionId = site.CreateSession();
            //Response.Write("<script>alert('" + sessionId + "');</script>");

            Response.Redirect("http://localhost/mapguide2011/fusion/templates/mapguide/slate/index.html?ApplicationDefinition=" + webLayout + "&Session=" + sessionId);
        }
        catch (Exception ex)
        {
            Response.Write(ex.Message);
        }
    }
}
