﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using OSGeo.MapGuide;

public partial class MapInformation : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        UtilityClass util = new UtilityClass();
        util.InitializeWebTier(HttpContext.Current.Request);

        String sessionId = Request["SESSION"].ToString();

        MgUserInformation userInfo = new MgUserInformation(sessionId);
        MgSiteConnection site = new MgSiteConnection();
        site.Open(userInfo);

        MgResourceService resSvc = site.CreateService(MgServiceType.ResourceService) as MgResourceService;

        MgMap map = new MgMap();
        if (Request["mapname"] != null)
        {
            string mapName = Request["mapname"].ToString();
            map.Open(resSvc, mapName);


            Response.Write("Current Map's SRS is : " + map.MapSRS + "<br><br>");
            Response.Write("maps layer count is :" + map.GetLayers().Count.ToString() + "<br><hr>");

            for (int i = 0; i < map.GetLayers().Count; i++)
            {
                Response.Write(map.GetLayers()[i].Name + "<br>");
            }
        }





    }
}
